Bug 227147 - schema: Remove keywords: needs-staging, patch, patch-ready. Replace keywords: s/panic/crash
Summary: schema: Remove keywords: needs-staging, patch, patch-ready. Replace keywords:...
Status: In Progress
Alias: None
Product: Services
Classification: Unclassified
Component: Bug Tracker (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL: https://bugs.freebsd.org/bugzilla/des...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-31 22:12 UTC by Mateusz Piotrowski
Modified: 2022-10-26 00:21 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-03-31 22:12:30 UTC
The link[1] in the description of "needs-staging" in the Bugzilla keywords list[3] to is broken as it was recently renamed[2].

[1]: https://wiki.freebsd.org/ports/StageDir
[2]: https://wiki.freebsd.org/Ports/StageDir
[3]: https://bugs.freebsd.org/bugzilla/describekeywords.cgi
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-04-01 00:07:28 UTC
(In reply to Mateusz Piotrowski from comment #0)

I've worked around it on the wiki side by using a page redirect.  (I learned something new today.)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-01 02:23:58 UTC
The needs-staging keyword is deprecated, mostly cause all ports are already staged, and all new ports must be stagedir compliant. 

I had not removed it earlier are there are other keywords which need to change/remove/be added, and sometimes functionality (auto-assigner) can rely on or use/add keywords in certain cases, and may not resiliently handle their non-presence.

I'll work with @gonzo to verify the latter is not the case, and remove it once that has been identified.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-01 02:26:07 UTC
In the meantime, I've fixed the description link, added deprecated messaging to it's description, and will delete the redirected page (after seeing if any other pages in the wiki depend on it)
Comment 4 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2018-04-09 07:34:00 UTC
(In reply to Kubilay Kocak from comment #2)

Needs staging is not used in auto-assigner, so it's safe to remove it.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-09 10:20:00 UTC
(In reply to Oleksandr Tymoshenko from comment #4)

Thanks.

the auto assignment of keyword:patch based on [tags] in summary has now been removed iirc?

Beyond that, are there additions/removals of any keywords in the AA code left at this stage?
Comment 6 Mateusz Piotrowski freebsd_committer 2021-01-16 22:06:35 UTC
Is there anything else we can do here?
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-01-17 03:41:20 UTC
Yep, need to test and confirm  (needs-qa) whether global keyword removal cascades metadata removal from objects with that keyword.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-01-17 03:42:43 UTC
*hitting upstream again to get confirmation from bugzilla 5.x codebase*
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2021-01-17 04:34:35 UTC
Upstream:

justdave | Yes, it does.  https://github.com/bugzilla/bugzilla/blob/5.2/Bugzilla/DB/Schema.pm#L600
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 00:46:20 UTC
Still need to confirm either non-use of the patch keyword in the auto-assigner, or if it is still there, have the functionality removed. 

Removing the keyword without doing that is likely to break the auto-assigner.

Its not obvious how the auto-assigner behaves in the non-presence of metadata, fields and values it wants to use to process issues.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 00:47:13 UTC
The needs-staging keyword has been deleted.
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 00:55:21 UTC
Added keyword: 'crash' to all issues with keyword: 'panic'. The mass issue change took a long time and didn't return/complete, but I have confirmed that all (262) issues now have both keywords. I will remove keyword: 'panic' now.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 00:56:45 UTC
The panic keyword has been deleted. All issues are now available with keyword: crash
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 01:39:23 UTC
And ugh, mass modifying issues sends out an email to every person that was on an issue that is modified.

Note for future keyword 'replacements': its better to delete the keyword via admin, which cascade removes it from all issues, rather than remove it via 'mass change many issues' from a search result.

Unfortunately, this is not possible for 'adding' keywords.

We need a 'dont send email' extension.
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2022-10-12 01:50:16 UTC
Remove 'et al' from Summary. There's no other deprecated/vestigial keywords that need removal, except patch and patch-ready (see comment 10).

The rest of keyword improvements are moving 'component' type keywords to actual components, not in scope for for this issue
Comment 16 Graham Perrin ◐ 2022-10-23 10:21:00 UTC
See also: bug 198271

> 198271 – Auto-Assigner: IF attachment "is patch" THEN 
> set maintainer-approval flag value (to + or ?) based on <condition>
Comment 17 Graham Perrin ◐ 2022-10-23 12:12:06 UTC
Taking a hint from <https://bugzilla.mozilla.org/show_bug.cgi?id=1539302#c7>: 

> … “Attachment is patch: true” doesn’t work but 
>   “Attachment is patch: 1” does …

So, for example …


* all open bug reports with a patch, sorted by bug number:

<https://bugs.freebsd.org/bugzilla/buglist.cgi?bug_status=__open__&f1=attachments.ispatch&list_id=534246&o1=equals&order=Bug+Number&query_format=advanced&v1=1>


* all open bug reports with a non-obsolete patch, sorted by assignee:

<https://bugs.freebsd.org/bugzilla/buglist.cgi?bug_status=__open__&f1=attachments.ispatch&f2=attachments.isobsolete&list_id=534260&o1=equals&o2=equals&order=Assignee&query_format=advanced&v1=1&v2=0>


* open bug reports (not in progress) with a non-obsolete patch, sorted by importance, 
  excluding assignments to       bugs@⋯, 
  excluding assignments to ports-bugs@⋯, 
  excluding assignments to        doc@⋯:

<https://bugs.freebsd.org/bugzilla/buglist.cgi?bug_status=Open&f1=attachments.ispatch&f2=attachments.isobsolete&f3=assigned_to&f4=assigned_to&f5=assigned_to&list_id=534271&o1=equals&o2=equals&o3=notequals&o4=notequals&o5=notequals&order=Importance&query_format=advanced&v1=1&v2=0&v3=bugs%40FreeBSD.org&v4=ports-bugs%40FreeBSD.org&v5=doc%40FreeBSD.org>


… and so on. (Hopefully correct; I'll be unable to edit any mistake.)